using fatd_faturamento.ENTIDADE.API.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace fatd_faturamento.ENTIDADE.API.FaturaInstantanea.Request
{
    public class entidadeAPILeituraMensalAllRequest : entidadeAPIIRequestInterfaces
    {
        public string SISTEMA { get; set; }

        public bool Valido(out string Mensagem)
        {
            Mensagem = String.Empty;

            if (string.IsNullOrEmpty(SISTEMA) || SISTEMA.Trim() == string.Empty)
            {
                Mensagem = "SISTEMA não Informado";
                return false;
            }

            return true;
        }
    }
}
